# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.5)
   message(FATAL_ERROR "CMake >= 2.6.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 2.6)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_targetsDefined)
set(_targetsNotDefined)
set(_expectedTargets)
foreach(_expectedTarget MADmuparser MADtinyxml MADworld MADmisc MADtensor MADlinalg MADmra madness MADchem)
  list(APPEND _expectedTargets ${_expectedTarget})
  if(NOT TARGET ${_expectedTarget})
    list(APPEND _targetsNotDefined ${_expectedTarget})
  endif()
  if(TARGET ${_expectedTarget})
    list(APPEND _targetsDefined ${_expectedTarget})
  endif()
endforeach()
if("${_targetsDefined}" STREQUAL "${_expectedTargets}")
  unset(_targetsDefined)
  unset(_targetsNotDefined)
  unset(_expectedTargets)
  set(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT "${_targetsDefined}" STREQUAL "")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_targetsDefined}\nTargets not yet defined: ${_targetsNotDefined}\n")
endif()
unset(_targetsDefined)
unset(_targetsNotDefined)
unset(_expectedTargets)


# The installation prefix configured by this project.
set(_IMPORT_PREFIX "/usr")

# Create imported target MADmuparser
add_library(MADmuparser STATIC IMPORTED)

set_target_properties(MADmuparser PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;${_IMPORT_PREFIX}/include"
)

# Create imported target MADtinyxml
add_library(MADtinyxml STATIC IMPORTED)

set_target_properties(MADtinyxml PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;${_IMPORT_PREFIX}/include"
)

# Create imported target MADworld
add_library(MADworld STATIC IMPORTED)

set_target_properties(MADworld PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "MPICH_SKIP_MPICXX=1;OMPI_SKIP_MPICXX=1"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;/usr/include;/usr/include/arm-linux-gnueabihf/mpich;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "-no-pie;/usr/lib/arm-linux-gnueabihf/libtbb.so;-Wl,-Bsymbolic-functions;/usr/lib/arm-linux-gnueabihf/libmpich.so;-lpthread"
)

# Create imported target MADmisc
add_library(MADmisc STATIC IMPORTED)

set_target_properties(MADmisc PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<TARGET_PROPERTY:MADworld,INTERFACE_COMPILE_DEFINITIONS>"
  INTERFACE_COMPILE_OPTIONS "\$<TARGET_PROPERTY:MADworld,INTERFACE_COMPILE_OPTIONS>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;\$<TARGET_PROPERTY:MADworld,INTERFACE_INCLUDE_DIRECTORIES>;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "MADworld"
)

# Create imported target MADtensor
add_library(MADtensor STATIC IMPORTED)

set_target_properties(MADtensor PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<TARGET_PROPERTY:MADmisc,INTERFACE_COMPILE_DEFINITIONS>"
  INTERFACE_COMPILE_OPTIONS "\$<TARGET_PROPERTY:MADmisc,INTERFACE_COMPILE_OPTIONS>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;\$<TARGET_PROPERTY:MADmisc,INTERFACE_INCLUDE_DIRECTORIES>;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "MADmisc"
)

# Create imported target MADlinalg
add_library(MADlinalg STATIC IMPORTED)

set_target_properties(MADlinalg PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<TARGET_PROPERTY:MADtensor,INTERFACE_COMPILE_DEFINITIONS>"
  INTERFACE_COMPILE_OPTIONS "\$<TARGET_PROPERTY:MADtensor,INTERFACE_COMPILE_OPTIONS>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;\$<TARGET_PROPERTY:MADtensor,INTERFACE_INCLUDE_DIRECTORIES>;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "MADtensor;/usr/lib/arm-linux-gnueabihf/liblapack.so;/usr/lib/arm-linux-gnueabihf/libblas.so"
)

# Create imported target MADmra
add_library(MADmra STATIC IMPORTED)

set_target_properties(MADmra PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<TARGET_PROPERTY:MADlinalg,INTERFACE_COMPILE_DEFINITIONS>;\$<TARGET_PROPERTY:MADtinyxml,INTERFACE_COMPILE_DEFINITIONS>;\$<TARGET_PROPERTY:MADmuparser,INTERFACE_COMPILE_DEFINITIONS>"
  INTERFACE_COMPILE_OPTIONS "\$<TARGET_PROPERTY:MADlinalg,INTERFACE_COMPILE_OPTIONS>;\$<TARGET_PROPERTY:MADtinyxml,INTERFACE_COMPILE_OPTIONS>;\$<TARGET_PROPERTY:MADmuparser,INTERFACE_COMPILE_OPTIONS>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;\$<TARGET_PROPERTY:MADlinalg,INTERFACE_INCLUDE_DIRECTORIES>;\$<TARGET_PROPERTY:MADtinyxml,INTERFACE_INCLUDE_DIRECTORIES>;\$<TARGET_PROPERTY:MADmuparser,INTERFACE_INCLUDE_DIRECTORIES>;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "MADlinalg;MADtinyxml;MADmuparser"
)

# Create imported target madness
add_library(madness STATIC IMPORTED)

set_target_properties(madness PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "MPICH_SKIP_MPICXX=1;OMPI_SKIP_MPICXX=1"
  INTERFACE_INCLUDE_DIRECTORIES "/usr/include;/usr/include/arm-linux-gnueabihf/mpich;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "-no-pie;/usr/lib/arm-linux-gnueabihf/libtbb.so;-Wl,-Bsymbolic-functions;/usr/lib/arm-linux-gnueabihf/libmpich.so;/usr/lib/arm-linux-gnueabihf/liblapack.so;/usr/lib/arm-linux-gnueabihf/libblas.so;-lpthread"
)

# Create imported target MADchem
add_library(MADchem STATIC IMPORTED)

set_target_properties(MADchem PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "\$<TARGET_PROPERTY:MADmra,INTERFACE_COMPILE_DEFINITIONS>"
  INTERFACE_COMPILE_OPTIONS "\$<TARGET_PROPERTY:MADmra,INTERFACE_COMPILE_OPTIONS>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include;\$<TARGET_PROPERTY:MADmra,INTERFACE_INCLUDE_DIRECTORIES>;/usr/include;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "MADmra;/usr/lib/arm-linux-gnueabihf/libxc.so"
)

if(CMAKE_VERSION VERSION_LESS 2.8.12)
  message(FATAL_ERROR "This file relies on consumers using CMake 2.8.12 or greater.")
endif()

# Load information for each installed configuration.
get_filename_component(_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
file(GLOB CONFIG_FILES "${_DIR}/madness-targets-*.cmake")
foreach(f ${CONFIG_FILES})
  include(${f})
endforeach()

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(target ${_IMPORT_CHECK_TARGETS} )
  foreach(file ${_IMPORT_CHECK_FILES_FOR_${target}} )
    if(NOT EXISTS "${file}" )
      message(FATAL_ERROR "The imported target \"${target}\" references the file
   \"${file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
    endif()
  endforeach()
  unset(_IMPORT_CHECK_FILES_FOR_${target})
endforeach()
unset(_IMPORT_CHECK_TARGETS)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
